Bug 1299558 - Review Request: python-inifile - A small INI library for Python
Review Request: python-inifile - A small INI library for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Robert Kuska
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 10:50 EST by Charalampos Stratakis
Modified: 2016-04-18 06:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-30 13:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rkuska: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Charalampos Stratakis 2016-01-18 10:50:13 EST
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/cstratak/python-inifile/python-inifile.git/plain/python-inifile.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/cstratak/python-inifile/fedora-rawhide-x86_64/00154174-python-inifile/python-inifile-0.3-1.fc24.src.rpm
Description: Review request for python-inifile. This library is required for the Lektor framework from Armin Ronacher (which is to be packaged on a later date)
Fedora Account System Username: cstratak

My first package, so a sponsor will be needed.
Comment 1 Robert Kuska 2016-01-20 05:28:18 EST
The check phase in specfile is redudant, no tests are run nor present in package.

"Ran 0 tests in 0.000s"

It's probably better to use %{version} macro in Source0 so you don't have to edit the link everytime you update the package. 

Also you've defined %{sum} macro and used it only in main package description even though both subpackages could use it as well in their description.


These are just minor issues and otherwise it looks nice! :)
Comment 3 Robert Kuska 2016-01-20 07:41:53 EST
Looks good, approved.
Comment 4 Miroslav Suchý 2016-01-20 08:29:51 EST
Looks good to me as well.

APPROVED
Comment 5 Gwyn Ciesla 2016-01-20 11:49:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-inifile
Comment 6 Fedora Update System 2016-01-21 05:13:46 EST
python-inifile-0.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-843bee847e
Comment 7 Fedora Update System 2016-01-21 05:28:01 EST
python-inifile-0.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98638e0778
Comment 8 Fedora Update System 2016-01-21 10:41:42 EST
python-inifile-0.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-18c1b36a18
Comment 9 Fedora Update System 2016-01-21 23:56:27 EST
python-inifile-0.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-843bee847e
Comment 10 Fedora Update System 2016-01-22 02:55:51 EST
python-inifile-0.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-18c1b36a18
Comment 11 Fedora Update System 2016-01-23 16:29:32 EST
python-inifile-0.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98638e0778
Comment 12 Fedora Update System 2016-01-30 13:22:18 EST
python-inifile-0.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-01 19:53:22 EST
python-inifile-0.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-05 21:24:52 EST
python-inifile-0.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.